#!/bin/bash
# rxvremote.sh : power ON/OFF mute vol up/down input select pour yamaha RX

VERSION="2016.05.20"

# Yamaha IP Address
IP="192.168.1.8"

URL="YamahaRemoteControl/ctrl"
ORDRE="<?xml version=\"1.0\" encoding=\"UTF-8\" ?>\r\n"

POWER_ON="<YAMAHA_AV cmd=\"PUT\"><Main_Zone><Power_Control><Power>On</Power></Power_Control></Main_Zone></YAMAHA_AV>"
POWER_OFF="<YAMAHA_AV cmd=\"PUT\"><Main_Zone><Power_Control><Power>Standby</Power></Power_Control></Main_Zone></YAMAHA_AV>"
VOLUME_MUTE="<YAMAHA_AV cmd=\"PUT\"><Main_Zone><Volume><Mute>On/Off</Mute></Volume></Main_Zone></YAMAHA_AV>"
VOLUME_UP="<YAMAHA_AV cmd=\"PUT\"><Main_Zone><Volume><Lvl><Val>Up 5 dB</Val><Exp></Exp><Unit></Unit></Lvl></Volume></Main_Zone></YAMAHA_AV>"
VOLUME_DOWN="<YAMAHA_AV cmd=\"PUT\"><Main_Zone><Volume><Lvl><Val>Down 5 dB</Val><Exp></Exp><Unit></Unit></Lvl></Volume></Main_Zone></YAMAHA_AV>"
INP_AV5="<YAMAHA_AV cmd=\"PUT\"><Main_Zone><Input><Input_Sel>AV5</Input_Sel></Input></Main_Zone></YAMAHA_AV>"
INP_HDMI1="<YAMAHA_AV cmd=\"PUT\"><Main_Zone><Input><Input_Sel>HDMI1</Input_Sel></Input></Main_Zone></YAMAHA_AV>"
INP_HDMI2="<YAMAHA_AV cmd=\"PUT\"><Main_Zone><Input><Input_Sel>HDMI2</Input_Sel></Input></Main_Zone></YAMAHA_AV>"
INP_HDMI3="<YAMAHA_AV cmd=\"PUT\"><Main_Zone><Input><Input_Sel>HDMI3</Input_Sel></Input></Main_Zone></YAMAHA_AV>"

if [[ $# -eq 1  && $1 == "ON"  ]]; then
        ORDRE+=$POWER_ON
        echo "ON"
elif [[ $# -eq 1  && $1 == "OFF" ]]; then
        ORDRE+=$POWER_OFF
        echo "OFF"
elif [[ $# -eq 1  && $1 == "MUTE" ]]; then
        ORDRE+=$VOLUME_MUTE
        echo "MUTE"
elif [[ $# -eq 1  && $1 == "VOLUP" ]]; then
        ORDRE+=$VOLUME_UP
        echo "VOLUP"
elif [[ $# -eq 1  && $1 == "VOLDOWN" ]]; then
        ORDRE+=$VOLUME_DOWN
        echo "VOLDOWN"
elif [[ $# -eq 1  && $1 == "AV5" ]]; then
        ORDRE+=$INP_AV5
        echo "AV5"
elif [[ $# -eq 1  && $1 == "HDMI1" ]]; then
        ORDRE+=$INP_HDMI1
        echo "HDMI2"
elif [[ $# -eq 1  && $1 == "HDMI2" ]]; then
        ORDRE+=$INP_HDMI2
        echo "HDMI2"
elif [[ $# -eq 1  && $1 == "HDMI3" ]]; then
        ORDRE+=$INP_HDMI3
        echo "HDMI3"
else
        echo -e "rien" && exit 0
fi

curl -v -H "Content-Type: text/xml" -X POST -d "${ORDRE}" http://${IP}/${URL}
echo